> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fresha Reviews

> This endpoint is used to fetch reviews from Fresha.



## OpenAPI

````yaml POST /fresha/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /fresha/reviews:
    post:
      description: This endpoint is used to fetch reviews from Fresha.
      requestBody:
        description: Fresha review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FreshaReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreshaReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    FreshaReviewsRequest:
      type: object
      required:
        - reviews_to_fetch
      properties:
        query:
          type: string
          description: Provide proper profile page URL
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    FreshaReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_image_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's HD profile image, if available
              author_image_url_org:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile image, if available
              author_initials:
                type: string
                description: Initials of the author, used when image is not available
              author_name:
                type: string
                description: Name of the review author
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the review was posted
              review_rating:
                type: string
                description: Rating given in the review (1-5)
              review_reply:
                type: object
                properties:
                  replier_name:
                    type: string
                    description: Name of the person who replied
                  reply_date:
                    type: string
                    description: Date of the reply
                  reply_text:
                    type: string
                    description: Text content of the reply
                  reply_id:
                    type: string
                    description: ID of the reply
                  replier_image_url:
                    type:
                      - string
                      - 'null'
                    description: URL to the replier's profile image, if available
                description: Reply to the review if available
              review_text:
                type: string
                description: Content of the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````